geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Shapira, Yoav" <Yoav.Shap...@mpi.com>
Subject RE: What's missing for Tomcat integration?
Date Mon, 13 Sep 2004 13:58:46 GMT

Hola,

>AIUI TC5.5 requires JDK1.5 whereas we are targeting 1.4.2 based
systems.
>so that would be an issue using that branch. We are also targeting a

TC5.5 requires JRE1.5 (not JDK -- it uses the Eclipse JDT compiler
instead of javac out of the box), but runs quite easily and happily with
JDK 1.4, you just need to add the JMX API jar and the XML APIs and
Xerces impl to the common/endorsed directory.  (We provide a tiny compat
.zip/.tar.gz that users can unzip in $CATALINA_HOME in order to do
this).

>production release soon - my hunch would be that we would be better
>integrating with the 5.0 branch as that is currently available. I'd
like
>to suggest we start there for a "stable" version and then work with the
>Tomcat community on the 5.5 branch for new or "experimental" features.

I agree with your hunch -- 5.0 is probably better, at least for Geronimo
1.0.

Thanks Dain for posting (your or Alex's or joint) code.  I see Jacek has
already started acting upon it ;)

Yoav



This e-mail, including any attachments, is a confidential business communication, and may
contain information that is confidential, proprietary and/or privileged.  This e-mail is intended
only for the individual(s) to whom it is addressed, and may not be saved, copied, printed,
disclosed or used by anyone else.  If you are not the(an) intended recipient, please immediately
delete this e-mail from your computer system and notify the sender.  Thank you.


Mime
View raw message